Skip to content

Update an item received

PATCH
/items-received/{itemId}
curl --request PATCH \
--url https://apisandbox.puurk.com/items-received/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "client_id": "example", "oid": "example", "service_id": "example", "service_name": "example", "offer_id": "example", "contract_id": "example", "merge_contract_id": "example", "quantity": 1, "amount": 1, "provider_id": "example", "provider_name": "example", "date_received": "2026-04-15T12:00:00Z", "notes": "example" }'

Update an existing item received

itemId
required
string

ID of the item received

Request body

Media typeapplication/json
object
id

Unique identifier for the item received

string
client_id

Identifier for the client

string
oid

Organization identifier

string
service_id

Identifier for the service

string
service_name

Name of the service

string
offer_id

Identifier for the offer

string
contract_id

Identifier for the contract

string
merge_contract_id

Identifier for the merge contract

string
quantity

Quantity of items received

number format: double
amount

Amount of items received

number format: double
provider_id

Identifier for the provider

string
provider_name

Name of the provider

string
date_received

Date when the item was received

string format: date-time
notes

Additional notes about the item received

string
Examplegenerated
{
"id": "example",
"client_id": "example",
"oid": "example",
"service_id": "example",
"service_name": "example",
"offer_id": "example",
"contract_id": "example",
"merge_contract_id": "example",
"quantity": 1,
"amount": 1,
"provider_id": "example",
"provider_name": "example",
"date_received": "2026-04-15T12:00:00Z",
"notes": "example"
}

Item received updated

Media typeapplication/json
object
id

Unique identifier for the item received

string
client_id

Identifier for the client

string
oid

Organization identifier

string
service_id

Identifier for the service

string
service_name

Name of the service

string
offer_id

Identifier for the offer

string
contract_id

Identifier for the contract

string
merge_contract_id

Identifier for the merge contract

string
quantity

Quantity of items received

number format: double
amount

Amount of items received

number format: double
provider_id

Identifier for the provider

string
provider_name

Name of the provider

string
date_received

Date when the item was received

string format: date-time
notes

Additional notes about the item received

string
Examplegenerated
{
"id": "example",
"client_id": "example",
"oid": "example",
"service_id": "example",
"service_name": "example",
"offer_id": "example",
"contract_id": "example",
"merge_contract_id": "example",
"quantity": 1,
"amount": 1,
"provider_id": "example",
"provider_name": "example",
"date_received": "2026-04-15T12:00:00Z",
"notes": "example"
}

Invalid input

Unauthorized

Not found